Jellyfish Connect for Mac

Click the icon to download

Download-JFC

Jellyfish Connect requires macOS High Sierra (10.12) or higher.